crashpad::CrashpadInfoReader Class Reference

Reads CrashpadInfo structs from another process via a ProcessMemoryRange. More...

`#include "snapshot/crashpad_types/crashpad_info_reader.h"`

## Classes

class | InfoContainer
class | InfoContainerSpecific

## Public Member Functions

bool | Initialize (const ProcessMemoryRange *memory, VMAddress address)
| Initializes this object. More...
TriState | CrashpadHandlerBehavior ()
TriState | SystemCrashReporterForwarding ()
TriState | GatherIndirectlyReferencedMemory ()
uint32_t | IndirectlyReferencedMemoryCap ()
VMAddress | ExtraMemoryRanges ()
VMAddress | SimpleAnnotations ()
VMAddress | AnnotationsList ()
VMAddress | UserDataMinidumpStreamHead ()

## Detailed Description

Reads CrashpadInfo structs from another process via a ProcessMemoryRange.

## Member Function Documentation

## AnnotationsList()

VMAddress crashpad::CrashpadInfoReader::AnnotationsList | ( |  | ) |

See also
  CrashpadInfo

## CrashpadHandlerBehavior()

TriState crashpad::CrashpadInfoReader::CrashpadHandlerBehavior | ( |  | ) |

See also
  CrashpadInfo

## ExtraMemoryRanges()

VMAddress crashpad::CrashpadInfoReader::ExtraMemoryRanges | ( |  | ) |

See also
  CrashpadInfo

## GatherIndirectlyReferencedMemory()

TriState crashpad::CrashpadInfoReader::GatherIndirectlyReferencedMemory | ( |  | ) |

See also
  CrashpadInfo

## IndirectlyReferencedMemoryCap()

uint32_t crashpad::CrashpadInfoReader::IndirectlyReferencedMemoryCap | ( |  | ) |

See also
  CrashpadInfo

## Initialize()

bool crashpad::CrashpadInfoReader::Initialize | ( | const ProcessMemoryRange * | memory,
|  | VMAddress | address
| ) |  |

Initializes this object.

This method must be successfully called bfore any other method in this class.

Parameters

  [in] | memory | The reader for the remote process.
  [in] | address | The address in the remote process' address space of a CrashpadInfo struct.

Returns
  `true` on success. `false` on failure with a message logged.

## SimpleAnnotations()

VMAddress crashpad::CrashpadInfoReader::SimpleAnnotations | ( |  | ) |

See also
  CrashpadInfo

## SystemCrashReporterForwarding()

TriState crashpad::CrashpadInfoReader::SystemCrashReporterForwarding | ( |  | ) |

See also
  CrashpadInfo

## UserDataMinidumpStreamHead()

VMAddress crashpad::CrashpadInfoReader::UserDataMinidumpStreamHead | ( |  | ) |

See also
  CrashpadInfo

The documentation for this class was generated from the following files:

- snapshot/crashpad_types/crashpad_info_reader.h
- snapshot/crashpad_types/crashpad_info_reader.cc